Bug 848314 - Review Request: adcli - library and tool for joining Active Directory domain
Summary: Review Request: adcli - library and tool for joining Active Directory domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-15 09:04 UTC by Stef Walter
Modified: 2013-07-26 18:11 UTC (History)
4 users (show)

Fixed In Version: adcli-0.7.1-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-09 17:05:25 UTC
Type: ---
yaneti: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Stef Walter 2012-08-15 09:04:48 UTC
Spec URL: http://fedorapeople.org/~stefw/scratch/adcli.spec
SRPM URL: http://fedorapeople.org/~stefw/scratch/adcli-0.1-1.fc18.src.rpm
Description: adcli is a library and tool for joining an Active Directory domain
             using standard LDAP and Kerberos calls.
Fedora Account System Username: stefw

This code was built as part of the realmd project, but has been requested to be an externally usable library and tool callable usable by. This will be optionally used by realmd to enroll machines in active directory.

Comment 1 Stef Walter 2012-08-15 09:05:46 UTC
The following adcli warnings showed up when building the adcli 0.1-1 RPM. These will be addressed upstream in a future/next adcli release.


adcli.x86_64: W: no-manual-page-for-binary adcli
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adutil.c
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adenroll.h
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adldap.c
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adutil.h
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adconn.c
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adconn.h
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adenroll.c
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/getsrvinfo.h
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/getsrvinfo.c
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adkrb5.c
adcli-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/adcli-0.1/library/adprivate.h
adcli-devel.x86_64: W: no-documentation
adcli-devel.x86_64: E: incorrect-fsf-address /usr/include/adcli-1/adcli/adenroll.h
adcli-devel.x86_64: E: incorrect-fsf-address /usr/include/adcli-1/adcli/adcli.h
adcli-devel.x86_64: E: incorrect-fsf-address /usr/include/adcli-1/adcli/adconn.h
adcli-devel.x86_64: E: incorrect-fsf-address /usr/include/adcli-1/adcli/adutil.h
3 packages and 0 specfiles checked; 15 errors, 2 warnings.

Comment 2 Yanko Kaneti 2012-08-15 10:08:00 UTC
License matches.
Source matches.
Library has a soname and seems reasonably versioned.
Doesn't conflict with anything existing.

APPROVED

Comment 3 Stef Walter 2012-08-16 05:13:47 UTC
New Package SCM Request
=======================
Package Name: adcli
Short Description: adcli is a library and tool for joining an Active Directory domain using standard LDAP and Kerberos calls.
Owners: stefw
Branches: f18
InitialCC: stefw

Comment 4 Gwyn Ciesla 2012-08-16 12:36:47 UTC
Git done (by process-git-requests).

Comment 5 Stef Walter 2012-11-09 16:43:09 UTC
This is done, and in Fedora 18.

Comment 6 Yanko Kaneti 2012-11-09 17:05:25 UTC
Lets close it then. Cheers

Comment 7 Stephen Gallagher 2013-07-08 20:17:34 UTC
Package Change Request
======================
Package Name: adcli
New Branches: el6
Owners: sgallagh stefw
InitialCC:

Comment 8 Gwyn Ciesla 2013-07-09 02:14:44 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-07-09 12:10:35 UTC
adcli-0.7.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/adcli-0.7.1-3.el6

Comment 10 Fedora Update System 2013-07-26 18:11:19 UTC
adcli-0.7.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.